import http from '../http'

export default {
  page: data =>
    http.post('/v1/frame_inner_check_plan/page', data).then(res => res),
  deleteById: id =>
    http.delete('/v1/frame_inner_check_plan/' + id).then(res => res),
  getById: id => http.get('/v1/frame_inner_check_plan/' + id).then(res => res),
  edit: data =>
    http
      .put('/v1/frame_inner_check_plan?id=' + data.id, data.obj)
      .then(res => res),
  add: data => http.post('/v1/frame_inner_check_plan/', data).then(res => res),
  submitById: data =>
    http
      .post('/v1/frame_inner_check_plan/submit/?ids=' + data)
      .then(res => res),
  approve: data =>
    http
      .post('/v1/frame_inner_check_plan/approve/' + data.taskId, data)
      .then(res => res)
}
